<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DataBinder</title>
    <style>
            html, body {
                background-color: #eee;
                margin: 0;
                padding: 0;
            }
            body {
                margin: 1rem;
            }
            main {
                max-width: 40rem;
                margin: 0 auto;
                background: #fff;
            }
            h1 {
                padding: 1rem;
            }
            p {
                padding: 0 1rem;
            }
            button {
                padding: 2px;
            }
            .demo {
                font-family: monospace;
            }
            .demo input {
                border: 1px solid rgba(0,0,0,0.1);
                background-color: antiquewhite;
            }
        </style>    
</head>
<body>
    <h2>Binding</h2>
    <div id="form">
        <p>
            <label for="country">Country</label> 
            <select name="country" data-prop="country">
                <option value="France">France</option>
                <option value="Portugal">Portugal</option>
                <option value="Espagne">Espagne</option>
                <option value="Italie">Italie</option>
            </select>
        </p>
        <p>
            <label for="greetings">Greetings</label> 
            <input type="text" name="greetings" data-prop="greetings">
        </p>
    </div>

    <h2>Viewer: update on ui changes</h2>
    <div id="viewer" class="demo">
        <p>country      : <span id="view-country"></span></p>
        <p>greetings    : <span id="view-greetings"></span></p>
    </div>

    <h2>Setter: change data and update ui</h2>
    <div id="setter" class="demo">
        <p>greetings: <input type="text" data-key="greetings"></p>
    </div>
    <script type="module" src="main.js"></script>
</body>
